<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once('./../modelo/odoo_cliente.php');

// Por lo que tengo entendido, existen diferentes negocios, y cada uno puede tener sus propios almacenes
// 1. Obtenemos todos los almacenes de todos los negocios
$users = OdooCliente::getUsers();
echo json_encode($users);

// 2. Obtenemos un almacen por nombre especifico
// $datawarehouse = OdooInventario::getAlmacenPorNombre("Cursodontic");
// echo json_encode($datawarehouse);

// 3. Obtenemos los almacenes de una compañia especifica
// $datawarehouse = OdooInventario::getAlmacenesPorNombreCompania("My Company (San Francisco)");
// echo json_encode($datawarehouse);

// $produdctos = Odoo::getCountries("México");